clang 10.0.0git

Public Member Functions | Friends | List of all members
clang::CodeGen::EHScopeStack::iterator Class Reference

A non-stable pointer into the scope stack. More...

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/CodeGen/CGCleanup.h"`

## Public Member Functions
| iterator ()
EHScope * | get () const
EHScope * | operator-> () const
EHScope & | operator* () const
iterator & | operator++ ()
iterator | next ()
iterator | operator++ (int)
bool | encloses (iterator other) const
bool | strictlyEncloses (iterator other) const
bool | operator== (iterator other) const
bool | operator!= (iterator other) const

## Friends
class | EHScopeStack

## Detailed Description

A non-stable pointer into the scope stack.

Definition at line 502 of file CGCleanup.h.

## Constructor & Destructor Documentation

## ◆ iterator()

clang::CodeGen::EHScopeStack::iterator::iterator | ( |  | ) |
| inline

Definition at line 509 of file CGCleanup.h.

## Member Function Documentation

## ◆ encloses()

bool clang::CodeGen::EHScopeStack::iterator::encloses | ( | iterator | other | ) | const
| inline

Definition at line 559 of file CGCleanup.h.

## ◆ get()

EHScope* clang::CodeGen::EHScopeStack::iterator::get | ( |  | ) | const
| inline

Definition at line 511 of file CGCleanup.h.

## ◆ next()

iterator clang::CodeGen::EHScopeStack::iterator::next | ( |  | ) |
| inline

Definition at line 547 of file CGCleanup.h.

## ◆ operator!=()

bool clang::CodeGen::EHScopeStack::iterator::operator!= | ( | iterator | other | ) | const
| inline

Definition at line 563 of file CGCleanup.h.

## ◆ operator*()

EHScope& clang::CodeGen::EHScopeStack::iterator::operator* | ( |  | ) | const
| inline

Definition at line 516 of file CGCleanup.h.

## ◆ operator++() [1/2]

iterator& clang::CodeGen::EHScopeStack::iterator::operator++ | ( |  | ) |
| inline

Definition at line 518 of file CGCleanup.h.

References clang::tooling::Filter, clang::CodeGen::EHCleanupScope::getAllocatedSize(), and getKind().

## ◆ operator++() [2/2]

iterator clang::CodeGen::EHScopeStack::iterator::operator++ | ( | int |  | ) |
| inline

Definition at line 553 of file CGCleanup.h.

## ◆ operator->()

EHScope* clang::CodeGen::EHScopeStack::iterator::operator-> | ( |  | ) | const
| inline

Definition at line 515 of file CGCleanup.h.

## ◆ operator==()

bool clang::CodeGen::EHScopeStack::iterator::operator== | ( | iterator | other | ) | const
| inline

Definition at line 562 of file CGCleanup.h.

## ◆ strictlyEncloses()

bool clang::CodeGen::EHScopeStack::iterator::strictlyEncloses | ( | iterator | other | ) | const
| inline

Definition at line 560 of file CGCleanup.h.

## Friends And Related Function Documentation

## ◆ EHScopeStack

friend class EHScopeStack
| friend

Definition at line 505 of file CGCleanup.h.

The documentation for this class was generated from the following file:

- lib/CodeGen/CGCleanup.h